package keeper_test

import (
	"context"
	"testing"

	keepertest "cosmos-test/testutil/keeper"
	"cosmos-test/x/cosmostest/keeper"
	"cosmos-test/x/cosmostest/types"
	sdk "github.com/cosmos/cosmos-sdk/types"
)

func setupMsgServer(t testing.TB) (types.MsgServer, context.Context) {
	k, ctx := keepertest.CosmostestKeeper(t)
	return keeper.NewMsgServerImpl(*k), sdk.WrapSDKContext(ctx)
}
